Recent Posts

Pages: 1 ... 8 9 [10]
91
Those tools gave me a high hope! they looks useful. But unfortunately it didn't work for me.It threw error bad argument.
PS: I'm using IntelliCad
92
AutoLISP (Vanilla / Visual) / Flip Attributed Block
« Last post by GDF on November 06, 2019, 08:47:07 AM »
I would like to flip all attributed blocks named SYMRM in a drawing automatically in lieu of selecting them one at a time.
The code I have below is not very good...please help.

Code - Auto/Visual Lisp: [Select]
  1. (defun ARCH:DTOR (degr) (/ (* degr pi) 180))
  2.  
  3. (defun C:FIA  (/ objx insx1 insx2)
  4.   (prompt "\n* Flip Attribute Block: \"SYMRM\"")
  5.   (setq objx (entget (car (entsel "\n* Select Block to Flip:"))))
  6.   (setq insx1 (cdr (assoc 10 objx)))
  7.   (setq insx2 (polar insx1 (ARCH:DTOR 180.0) 1))
  8.   (command "mirror" (cdr (assoc -1 objx)) "" insx1 insx2 "y")
  9.   (command "ATTSYNC" "N" "SYMRM")
  10.   (princ))
  11.  

Thanks for any assistance.
93
Land Lubber / Geographically Positioned / Re: Carlson and Dotsoft
« Last post by cadtag on November 06, 2019, 07:28:39 AM »
Thanks, yes your email got buried.  will try out this weekend
94
AutoLISP (Vanilla / Visual) / Get Methods and Properties of PDF file
« Last post by Coder on November 06, 2019, 05:40:48 AM »
Hello everyone.

How can I dump a PDF file to know the available methods and properties with getfiled function?

Code: [Select]
(setq pdf (getfiled "" "" "pdf" 16))

I have seen the below function to create a PDF object but it returns nil for me.

Code: [Select]
(setq obj (vlax-get-or-create-object "AcroExch.PDDoc"))

Thank you in advance.
95
AutoLISP (Vanilla / Visual) / Re: How to simplify a lwpolyline with 5000+ vertices in it?
« Last post by kpblc on November 06, 2019, 05:18:29 AM »
I think you have to erase duplicated vertexes and segments. Use _.overkill command.
Secondary try to use pl-tools: https://forum.dwg.ru/showthread.php?t=8284 . Maybe it could help you.
96
.NET / Problem determine PickedPoint on selected object
« Last post by Sieu khung khiep on November 06, 2019, 03:51:47 AM »
Hello, I have just stepped into .Net and I am currently having difficulty determining the point I have just chosen on the Object (here is the circle)
I have read this post and I use the class DisplacementJig  to move the circle:

https://www.keanw.com/2013/12/moving-text-in-an-autocad-block-using-net-part-2.html

the problem is that when I select the circle, the point I just selected [Promptpoint.Pickedpoint] is not on the circle. so when I move the circle I won't get to the point I want
Can you guide me further?
thank you very much.
97
AutoLISP (Vanilla / Visual) / Re: How does _isolateobjects work?
« Last post by huiz on November 06, 2019, 03:09:45 AM »
This is where AutoCAD saves the values.
98
AutoLISP (Vanilla / Visual) / Re: How does _isolateobjects work?
« Last post by huiz on November 06, 2019, 03:08:51 AM »
AutoCAD saves a dictionary in the NOD where it references to the affected objects.


So the function in the toolbar just reacts on the referenced objects in the dictionary, not on invisible objects.


You can alter the dictionary yourself via Lisp, if you know how that works. It is not said that it will trigger the icon. Another option is to use the commands 'isolateobjects' and 'unisolateobjects' in your lisp.
99
Thanks for your reply Sir.Now I also have attached dwg file. I will try your method
100
AutoLISP (Vanilla / Visual) / Re: How to simplify a lwpolyline with 5000+ vertices in it?
« Last post by kpblc on November 06, 2019, 01:34:37 AM »
How did you get dxf file with repeated entity handles? AutoCAD 2018 can't open this dxf, and I have no time to edit it manually. Attach dwg file.
P.S. Without opening file: try to ise _.pedit command at first part of your lines, then repeat this command to another part, and repeat it until you get good enough result.
Pages: 1 ... 8 9 [10]